Skip to content

Developer Platform

Search docs & API
Log in
Sign up

Remove users from conversion event data

Closed beta
You can remove users from conversion event records to comply with privacy laws or user requests.
To remove a user, send a removal request to the API. The user is deleted 72 hours after a successful API request. You can cancel the removal request within that 72-hour window. Afterward, you can no longer cancel.
Once the 72-hour window ends, the deletion process takes up to 30 days.

Prerequisites

Prerequisite for user deletion endpoints
What you needWhy you need itHow to get it
OAuth access token with
ads:read
and
ads:write
scopes
These scopes are required for using the conversion deletion request endpoints.
See which scopes you need when getting an access token.

Request removal of a user

POST
Create a conversion deletion request

Request parameters to keep in mind

Any parameters and code examples that appear in this section support this use case, but may not represent the full endpoint specification. See the endpoint reference page for the comprehensive spec.
Any parameters and code examples that appear in this section support this use case, but may not represent the full endpoint specification. See the endpoint reference page for the comprehensive spec.
Delete user parameters
ParameterDescriptions
deletion_targets

Object
Required
Container for the user identifiers you want to remove from conversion event data.
user_emails

Array of strings
Required if
epik
is not provided.
Plain text emails for the users you want to remove from conversion event data.
epiks

Array of strings
Required if
user_emails
is not provided.
epik (External Pinterest ID Key) values for the users you want to remove from conversion event data.
The epik value is a unique identifier that Pinterest uses to help track users across devices and sessions. It is typically passed as a query parameter in your URLs, for example, after a click on a Pinterest ad.
You can submit up to 200,000 user records for deletion in a single request. These can be any combination of email addresses and epik values.
You can submit up to 200,000 user records for deletion in a single request. These can be any combination of email addresses and epik values.

Example request

curl --request POST \ --url https://api.pinterest.com/v5/ad_accounts/123456789012345678/conversion_deletion_requests \ --header 'content-type: application/json' \ --data '{"deletion_targets":{"user_emails":["user@example.com"],"epiks":["AbC123xYz456wQeR7890tUv"]}}'

Response field to keep in mind

A successful response includes a
request_id
, which you need to cancel the request within 72 hours if necessary.
You can also use the
request_id
to check the status of deletion requests with the following endpoints:
GET
List conversion deletion requests
GET
Get a single conversion deletion request

Cancel a request to remove a user

You can cancel a delete request within 72 hours after successfully submitting it. Afterward, you can no longer cancel it. Once the 72-hour window ends, the deletion process takes up to 30 days.
DELETE
Delete a conversion deletion request

Request parameters to keep in mind

Cancel delete user parameters
ParameterDescriptions
request_id

String
The ID of the deletion request.
Was this page helpful?